package com.platform.yijia.param.request;

public class CallBack {
  private String uuid;//随行付交易流水号
  private String mno;//发起交易的商户编号
  private String ordNo;//商户生成的订单号
  private String origOrdNo;//反交易退款异步通知
  private String origUuid;//反交易退款异步通知返回
  private String scene;//支付场景 1：刷卡 2：声波 3：刷脸；不上传默认为 1
  private String amt;//发起交易的订单金额
  private String payTime;//交易支付完成时间
  private String buyerId;//支付宝渠道：买家支付宝用户号buyer_user_id微信渠道：微信平台的 sub_openid
  private String buyerAccount;//掩码；示例：135***1234
  private String transactionId;//支付宝渠道：支付宝交易流水 微信渠道：微信交易流水
  private String drType;//借贷记标识 1-借,2-贷，3-其他
  private String payType;//对订单的描述，取值范围：WECHAT:微信,ALIPAY:支付宝,UNIONPAY:
  private String payBank;//付款银行银行编码，例如 ICBC
  private String pointAmount;//代金券金额
  private String totalOffstAmt;//消 费 者 付 款金额
  private String settleAmt;//商家入账金额
  private String realRefundAmount;//商家出账金额
  private String recFeeAmt;//交易手续费
  private String recFeeRate;//交易手续费率
  private String timeStamp;//响应时间
  private String sign;//签名
  private String bizCode;//业务返回码
  private String bizMsg;//业 务 返 回 信息
  private String openid;//微 信 或 支 付宝身份id()opendid userid
  private String channelId;//渠道商户号
  private String subMechId;//子商户号
  private String refBuyerAmt;//消 费 者 到 账金额
  private String extend;//备用
  private String sxfUuid;//落单号
  private String activityNo;//活动标识
  private String promotionDetail;//优惠信息

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getMno() {
        return mno;
    }

    public void setMno(String mno) {
        this.mno = mno;
    }

    public String getOrdNo() {
        return ordNo;
    }

    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }

    public String getOrigOrdNo() {
        return origOrdNo;
    }

    public void setOrigOrdNo(String origOrdNo) {
        this.origOrdNo = origOrdNo;
    }

    public String getOrigUuid() {
        return origUuid;
    }

    public void setOrigUuid(String origUuid) {
        this.origUuid = origUuid;
    }

    public String getScene() {
        return scene;
    }

    public void setScene(String scene) {
        this.scene = scene;
    }

    public String getAmt() {
        return amt;
    }

    public void setAmt(String amt) {
        this.amt = amt;
    }

    public String getPayTime() {
        return payTime;
    }

    public void setPayTime(String payTime) {
        this.payTime = payTime;
    }

    public String getBuyerId() {
        return buyerId;
    }

    public void setBuyerId(String buyerId) {
        this.buyerId = buyerId;
    }

    public String getBuyerAccount() {
        return buyerAccount;
    }

    public void setBuyerAccount(String buyerAccount) {
        this.buyerAccount = buyerAccount;
    }

    public String getTransactionId() {
        return transactionId;
    }

    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    public String getDrType() {
        return drType;
    }

    public void setDrType(String drType) {
        this.drType = drType;
    }

    public String getPayType() {
        return payType;
    }

    public void setPayType(String payType) {
        this.payType = payType;
    }

    public String getPayBank() {
        return payBank;
    }

    public void setPayBank(String payBank) {
        this.payBank = payBank;
    }

    public String getPointAmount() {
        return pointAmount;
    }

    public void setPointAmount(String pointAmount) {
        this.pointAmount = pointAmount;
    }

    public String getTotalOffstAmt() {
        return totalOffstAmt;
    }

    public void setTotalOffstAmt(String totalOffstAmt) {
        this.totalOffstAmt = totalOffstAmt;
    }

    public String getSettleAmt() {
        return settleAmt;
    }

    public void setSettleAmt(String settleAmt) {
        this.settleAmt = settleAmt;
    }

    public String getRealRefundAmount() {
        return realRefundAmount;
    }

    public void setRealRefundAmount(String realRefundAmount) {
        this.realRefundAmount = realRefundAmount;
    }

    public String getRecFeeAmt() {
        return recFeeAmt;
    }

    public void setRecFeeAmt(String recFeeAmt) {
        this.recFeeAmt = recFeeAmt;
    }

    public String getRecFeeRate() {
        return recFeeRate;
    }

    public void setRecFeeRate(String recFeeRate) {
        this.recFeeRate = recFeeRate;
    }

    public String getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(String timeStamp) {
        this.timeStamp = timeStamp;
    }

    public String getSign() {
        return sign;
    }

    public void setSign(String sign) {
        this.sign = sign;
    }

    public String getBizCode() {
        return bizCode;
    }

    public void setBizCode(String bizCode) {
        this.bizCode = bizCode;
    }

    public String getBizMsg() {
        return bizMsg;
    }

    public void setBizMsg(String bizMsg) {
        this.bizMsg = bizMsg;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getSubMechId() {
        return subMechId;
    }

    public void setSubMechId(String subMechId) {
        this.subMechId = subMechId;
    }

    public String getRefBuyerAmt() {
        return refBuyerAmt;
    }

    public void setRefBuyerAmt(String refBuyerAmt) {
        this.refBuyerAmt = refBuyerAmt;
    }

    public String getExtend() {
        return extend;
    }

    public void setExtend(String extend) {
        this.extend = extend;
    }

    public String getSxfUuid() {
        return sxfUuid;
    }

    public void setSxfUuid(String sxfUuid) {
        this.sxfUuid = sxfUuid;
    }

    public String getActivityNo() {
        return activityNo;
    }

    public void setActivityNo(String activityNo) {
        this.activityNo = activityNo;
    }

    public String getPromotionDetail() {
        return promotionDetail;
    }

    public void setPromotionDetail(String promotionDetail) {
        this.promotionDetail = promotionDetail;
    }
}
